NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.MiteredBendCornerCollection Class Reference

Represents a collection of NXOpen.Routing.MiteredBendCorner objects. More...

Inheritance diagram for NXOpen.Routing.MiteredBendCornerCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.Routing.MiteredBendCorner 
CreateCorner (NXOpen.Routing.ControlPoint rcp, double bendRadius, int numberOfMiters)
 Create a mitered bend corner object at a Control Point. More...
 
unsafe NXOpen.Routing.BendCorner GetBendAssociatedToSegment (NXOpen.Routing.ISegment segment)
 Enquire the Mitered Bend Corner that this segment represents. More...
 
NXOpen.Routing.MiteredBendCorner[] ToArray ()
 Returns an array of NXOpen.Routing.MiteredBendCorner objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.MiteredBendCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX9.0.2

Member Function Documentation

unsafe NXOpen.Routing.MiteredBendCorner NXOpen.Routing.MiteredBendCornerCollection.CreateCorner ( NXOpen.Routing.ControlPoint  rcp,
double  bendRadius,
int  numberOfMiters 
)
inline

Create a mitered bend corner object at a Control Point.

Created in NX9.0.2

License requirements: routing_base ("Routing Basic")

Parameters
rcp
bendRadiusRadius of bend corner arc, Must be greater than zero.
numberOfMiters
Returns
The new mitered bend corner.
override int NXOpen.Routing.MiteredBendCornerCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Routing.BendCorner NXOpen.Routing.MiteredBendCornerCollection.GetBendAssociatedToSegment ( NXOpen.Routing.ISegment  segment)
inline

Enquire the Mitered Bend Corner that this segment represents.

(a null reference (Nothing in Visual Basic) can be returned, indicating that this segment does not represent a Bend Corner.)

Created in NX9.0.2

License requirements: routing_base ("Routing Basic")

Parameters
segmentSegment being queried for the Bend Corner it represents.
Returns
Bend Corner that segment represents (a null reference (Nothing in Visual Basic) can be returned,indicating that segment does not represent a Bend Corner).
NXOpen.Routing.MiteredBendCorner [] NXOpen.Routing.MiteredBendCornerCollection.ToArray ( )
inline

Returns an array of NXOpen.Routing.MiteredBendCorner objects.

Property Documentation

Tag NXOpen.Routing.MiteredBendCornerCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.